View Issue Details

IDProjectCategoryLast Update
0020887AI War 2[All Projects] Bug - GameplayJan 7, 2019 11:04 am
ReporterDivinicus1stAssigned ToBadgerBadger 
Severitymajor 
Status resolvedResolutionno change required 
Product Version0.809 Divide By Human 
Fixed in Version 
Summary0020887: Ion Eyes never die, even with guard outpost dead and planet taken/conquered
DescriptionIon Eyes never dies, even with guard outpost dead and planet taken/conquered. Happened 2 times in my gameplay.
See Kennedy and Rijsbergen in my gameplay.
TagsNo tags attached.

Activities

Divinicus1st

Jan 4, 2019 9:10 am

reporter  

3 2.save (1,115,236 bytes)
3 2.savemet (40 bytes)

BadgerBadger

Jan 4, 2019 10:31 am

manager   ~0050696

You have to actually blow Eyes up with your forces, they don't just die automatically. I loaded your save game and brought your fleet over and destroyed them

Divinicus1st

Jan 6, 2019 3:01 pm

reporter   ~0050697

Ok thank you. I'm pretty sure this was impossible as they were untargetable, but I'll try again. Maybe reloading the save somehow fixed it.

Divinicus1st

Jan 6, 2019 3:15 pm

reporter   ~0050698

Seems fixed indeed, thank you for the help.

It's completely unrelated, but would you know by any chance how to set pursuit mode by default for fleets

BadgerBadger

Jan 7, 2019 9:41 am

manager   ~0050699

The invulnerability can persist a few seconds after killing the last guard post (since the thread that checks invulnerability has to run, and it only runs every 10 seconds or so). People have reported a bug where the invulnerability doesn't wear off, but save/reload will often clear that up.

AnnoyingOrange

Jan 7, 2019 11:00 am

reporter   ~0050700

Maybe off topic: given how guard post kills on a planet with an eye are very infrequent events, wouldn't a signal-listener model work better than a periodic check?

BadgerBadger

Jan 7, 2019 11:04 am

manager   ~0050701

Last edited: Jan 7, 2019 11:04 am

View 2 revisions

Well, there's no facility in the code currently for a signal-listener paradigm at the moment. I don't want to add a new pattern that would be used only once, it's bad for long term maintainability.

The code either runs on the Main Thread (which is the simulation itself, so slowing that down slows the game down) or on helper threads. Since doing the external invulnerability updates involves checking every unit in the game, it's more expensive than I want to put on the Main Thread, so it's offloaded to the LongRangePlanning thread, which in theory runs every 2 seconds but I said 10 to make sure noone got annoyed if it takes a bit longer.

Issue History

Date Modified Username Field Change
Jan 4, 2019 9:10 am Divinicus1st New Issue
Jan 4, 2019 9:10 am Divinicus1st File Added: 3 2.save
Jan 4, 2019 9:10 am Divinicus1st File Added: 3 2.savemet
Jan 4, 2019 10:31 am BadgerBadger Note Added: 0050696
Jan 4, 2019 12:18 pm BadgerBadger Assigned To => BadgerBadger
Jan 4, 2019 12:18 pm BadgerBadger Status new => resolved
Jan 4, 2019 12:18 pm BadgerBadger Resolution open => no change required
Jan 6, 2019 3:01 pm Divinicus1st Note Added: 0050697
Jan 6, 2019 3:15 pm Divinicus1st Note Added: 0050698
Jan 7, 2019 9:41 am BadgerBadger Note Added: 0050699
Jan 7, 2019 11:00 am AnnoyingOrange Note Added: 0050700
Jan 7, 2019 11:04 am BadgerBadger Note Added: 0050701
Jan 7, 2019 11:04 am BadgerBadger Note Edited: 0050701 View Revisions